checkdirfile(1)

NAME
checkdirfile — verify Dirfile database metadata

SYNOPSIS

checkdirfile DIRFILE

checkdirfile [ --help | --version ]

DESCRIPTION
Report errors in metadata of the dirfile(5) database specified by DIRFILE.

Three separate checks are performed. First, the format specification metadata is scanned for syntax errors (see dirfile-format(5)) and Dirfile Standards compliance. Second, fields defined in the database are checked for self-consistency. Finally, the database is queried for its length.

--help
--version
    Show usage and version information and exit.

AUTHOR

checkdirfile was written by D. V. Wiebe.

REPORTING BUGS

Please send reports of bugs to getdata-devel@lists.sourceforge.net

The GetData home page: <http://getdata.sourceforge.net/>

COPYRIGHT

Copyright © 2010 D. V. Wiebe

checkdirfile is licenced under the GNU LPGL version 2.1 or later.

This is free software: you are free to change and redistribute it. There is NO WARRANTY, to the extent permitted by law.

SEE ALSO
dirfile(5), dirfile-format(5)